Skip to main content
POST
/
conversations
/
{conversation_id}
/
name
会話の名前を変更
curl --request POST \
  --url https://{api_base_url}/conversations/{conversation_id}/name \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "iPhone Specs Chat",
  "user": "abc-123"
}
'
import requests

url = "https://{api_base_url}/conversations/{conversation_id}/name"

payload = {
    "name": "iPhone Specs Chat",
    "user": "abc-123"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: 'iPhone Specs Chat', user: 'abc-123'})
};

fetch('https://{api_base_url}/conversations/{conversation_id}/name', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "45701982-8118-4bc5-8e9b-64562b4555f2",
  "name": "iPhone Specs Chat",
  "inputs": {
    "city": "San Francisco"
  },
  "status": "normal",
  "introduction": "Welcome! How can I help you today?",
  "created_at": 1705407629,
  "updated_at": 1705411229
}
{
  "status": 400,
  "code": "not_chat_app",
  "message": "Please check if your app mode matches the right API route."
}
{
  "status": 404,
  "code": "not_found",
  "message": "Conversation Not Exists."
}

Authorizations

Authorization
string
header
required

API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。API Key が欠落または無効な場合、HTTP 401 とエラーコード unauthorized が返されます。

Path Parameters

conversation_id
string
required

会話 ID。

Body

application/json

会話の名前変更用リクエストボディです。

name
string

会話の名前です。auto_generatefalse の場合は必須です。

auto_generate
boolean
default:false

会話名を自動生成します。true の場合、name フィールドは無視されます。

user
string

ユーザー識別子です。

Response

会話が正常に名前変更されました。

id
string<uuid>

会話 ID。

name
string

会話名です。

inputs
object

会話の入力変数です。

status
string

会話ステータスです。アクティブな会話の場合は normal です。

introduction
string

会話の紹介文です。

created_at
integer<int64>

作成タイムスタンプ。

updated_at
integer<int64>

最終更新タイムスタンプ。

Last modified on July 9, 2026